import { Module } from "@nestjs/common";
import { CredentialsModule } from "src/credentials/credentials.module";
import { DrizzleModule } from "src/drizzle/drizzle.module";
import { AuthController } from "./auth.controller";
import { AuthService } from "./auth.service";
import { AdminGuard, UserGuard } from "src/auth/auth.guard";
import { CredentialsService } from "src/credentials/credentials.service";

@Module({
	imports: [DrizzleModule, CredentialsModule],
	providers: [AuthService, CredentialsService, AdminGuard, UserGuard],
	controllers: [AuthController],
})
export class AuthModule {}
